> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get broadcast audience



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/broadcasts/{idOrName}/audience
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/broadcasts/{idOrName}/audience:
    get:
      tags:
        - Broadcasts
      summary: Get broadcast audience
      operationId: getBroadcastAudienceWorkspaceTokenAPI
      parameters:
        - name: idOrName
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        contactId:
                          type: string
                        contact:
                          type: object
                          properties:
                            id:
                              type: string
                            firstName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            lastName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            fullName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            email:
                              anyOf:
                                - type: string
                                - type: 'null'
                            phoneNumber:
                              anyOf:
                                - type: string
                                - type: 'null'
                            avatar:
                              anyOf:
                                - type: string
                                - type: 'null'
                            gender:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - id
                            - firstName
                            - lastName
                            - fullName
                            - email
                            - phoneNumber
                            - avatar
                            - gender
                        sent:
                          type: boolean
                        delivered:
                          type: boolean
                        seen:
                          type: boolean
                        clicked:
                          type: boolean
                        failed:
                          type: boolean
                      required:
                        - contactId
                        - contact
                        - sent
                        - delivered
                        - seen
                        - clicked
                        - failed
                  pageCount:
                    type: number
                required:
                  - data
                  - pageCount
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````